Package com.sas.services.information

# Class Authorization

java.lang.Object
com.sas.services.information.Authorization

All Implemented Interfaces:
  `Serializable`

public class Authorization extends Object implements Serializable
This class is output from the OMIRepositoryInterface.getAuthorizationsOnObj method and input for OMIRepositoryInterface.setAuthorizationsOnObj. It has all the information about an authorization entry except the target object. It's assumed that you know what you asked for authorizations for, or are setting authorizations for.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AUTHSOURCE_ACT`
  `static final int`
  `AUTHSOURCE_EXPLICIT`
  `static final int`
  `AUTHSOURCE_INDIRECT`
  `static final String`
  `AUTHTYPE_DENY`
  `static final String`
  `AUTHTYPE_GRANT`
  `static final String`
  `AUTHTYPE_REMOVE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Authorization(String authType, String conditions)`
  `Authorization(String identType, String identName, String authAction, int authSource, String authType, String conditions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getAuthAction()`
  `final int`
  `getAuthSource()`
  `final String`
  `getAuthType()`
  `final String`
  `getConditions()`
  `final String`
  `getIdentName()`
  `final String`
  `getIdentType()`
  `final boolean`
  `isAuthorized()`
  `final void`
  `setAuthAction(String authAction)`
  `final void`
  `setAuthSource(int authSource)`
  `final void`
  `setAuthType(String authType)`
  `final void`
  `setConditions(String conditions)`
  `final void`
  `setIdentName(String identName)`
  `final void`
  `setIdentType(String identType)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### AUTHSOURCE_EXPLICIT

    public static final int AUTHSOURCE_EXPLICIT
    See Also:
      - Constant Field Values

  - ### AUTHSOURCE_ACT

    public static final int AUTHSOURCE_ACT
    See Also:
      - Constant Field Values

  - ### AUTHSOURCE_INDIRECT

    public static final int AUTHSOURCE_INDIRECT
    See Also:
      - Constant Field Values

  - ### AUTHTYPE_GRANT

    public static final String AUTHTYPE_GRANT
    See Also:
      - Constant Field Values

  - ### AUTHTYPE_DENY

    public static final String AUTHTYPE_DENY
    See Also:
      - Constant Field Values

  - ### AUTHTYPE_REMOVE

    public static final String AUTHTYPE_REMOVE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Authorization

    public Authorization(String authType, String conditions)

  - ### Authorization

    public Authorization(String identType, String identName, String authAction, int authSource, String authType, String conditions)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getConditions

    public final String getConditions()
    Returns:
      Returns the conditions.

  - ### setConditions

    public final void setConditions(String conditions)
    Parameters:
      `conditions` - The conditions to set.

  - ### isAuthorized

    public final boolean isAuthorized()
    Returns:
      Returns the isAuthorized.

  - ### getAuthType

    public final String getAuthType()

  - ### setAuthType

    public final void setAuthType(String authType)

  - ### getAuthSource

    public final int getAuthSource()

  - ### setAuthSource

    public final void setAuthSource(int authSource)

  - ### getIdentName

    public final String getIdentName()

  - ### setIdentName

    public final void setIdentName(String identName)

  - ### getIdentType

    public final String getIdentType()

  - ### setIdentType

    public final void setIdentType(String identType)

  - ### getAuthAction

    public final String getAuthAction()

  - ### setAuthAction

    public final void setAuthAction(String authAction)